Bug 211729 - Review Request: museek+ - Soulseek network filesharing client
Review Request: museek+ - Soulseek network filesharing client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-21 09:27 EDT by Julian Sikorski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 03:56:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2006-10-21 09:27:37 EDT
Spec URL: http://www.republika.pl/belegdol/temp/museek+.spec
SRPM URL: http://www.republika.pl/belegdol/temp/museek+-0.1.12-1.fc5.src.rpm
Description: Museek+ (http://museek-plus.sf.net) is a Soulseek (http://www.slsknet.org) network filesharing client. It a fork of an original museek, made after the developer has apparently given up. It uses qt, and may be ported to qt4 in the future. I'm filing the request here, but please let me know if the FE policy does not allow p2p clients, then I'll try to push it to livna.org.
Comment 1 Julian Sikorski 2006-11-02 17:45:57 EST
I have updated the SPEC to comply with the Packaging Guidelines (or I think I have).
SPEC URL: http://www.republika.pl/belegdol/temp/museek+.spec
SRPM URL: http://www.republika.pl/belegdol/temp/museek+-0.1.12-2.src.rpm
Comment 2 Dominik 'Rathann' Mierzejewski 2006-12-03 09:04:44 EST
I will review this after you've been sponsored.
Comment 3 Mamoru TASAKA 2006-12-04 20:58:00 EST
Removing FE-NEEDSPONSOR (bug 218210)
Comment 4 Dominik 'Rathann' Mierzejewski 2006-12-04 21:05:40 EST
Good. I'll review this in a few days then.
Comment 5 Dominik 'Rathann' Mierzejewski 2006-12-04 21:06:46 EST
Julian: is there any reason why this bug is filed agains fc6 and not devel?
Comment 6 Julian Sikorski 2006-12-05 02:15:48 EST
Well, only the one I'm running fc6 here and not rawhide.
Comment 7 Dominik 'Rathann' Mierzejewski 2006-12-12 08:39:37 EST
 1. package meets naming and packaging guidelines.
 2. specfile is properly named, is cleanly written and uses macros consistently.
 3. dist tag is present.
 4. build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 5. license field matches the actual license.
 6. license is open source-compatible. License text included in package.
 7. source files match upstream:
    5d871e40dc93c04e60688a06e0e143e8  museek+-0.1.12.tar.bz2
 8. latest version is being packaged.
 9. BuildRequires are proper.
10. package builds in mock (fc6 i386).
11. rpmlint is NOT silent.
W: museek+ strange-permission museek-launcher 0775
W: museek+ macro-in-%changelog _datadir
12. final provides and requires are sane:
museek+-0.1.12-2.fc6.i386.rpm:
_mucipherc.so  
museek+ = 0.1.12-2.fc6
=
/bin/sh  
/usr/bin/env  
/usr/bin/python  
libX11.so.6  
libc.so.6  
libfam.so.0  
libgcc_s.so.1  
libglib-2.0.so.0  
libglibmm-2.4.so.1  
libgobject-2.0.so.0  
libm.so.6  
libnsl.so.1  
libogg.so.0  
libpthread.so.0  
libqt-mt.so.3  
libsigc-2.0.so.0  
libstdc++.so.6  
libvorbis.so.0  
libvorbisfile.so.3  
libxml++-2.6.so.2  
libxml2.so.2  
libz.so.1  
python(abi) = 2.4

museek+-0.1.12-2.fc6.src.rpm:
(none)
=
desktop-file-utils  
python-devel  
libxml++-devel  
qt-devel  
gamin-devel  
swig  
libvorbis-devel  
PyXML  
pygtk2-devel  
scons  
13. no shared libraries are present.
14. package is not relocatable.
15. owns the directories it creates.
16. doesn't own any directories it shouldn't.
17. no duplicates in %files.
18. file permissions are appropriate (?) -> see 11.
19. %clean is present.
20. %check is not present and no testsuite present
21. no scriptlets present.
22. code, not content.
23. documentation is small, so no -docs subpackage is necessary.
24. %docs are not necessary for the proper functioning of the package.
25. no headers.
26. no pkgconfig files.
27. no libtool .la droppings.
28. not a GUI app.
29. not a web app.

Please fix 11.
Comment 8 Julian Sikorski 2006-12-12 14:54:50 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/museek+.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/museek+-0.1.12-3.src.rpm
New release:
- Fixed museek-launcher permissions
- Fixed %%changelog section
- Updated museek-launcher script
- Use $RPM_OPT_FLAGS instead %%{optflags} for consistency
- Add -fPIC to $RPM_OPT_FLAGS to make x86-64 build possible
Comment 9 Dominik 'Rathann' Mierzejewski 2006-12-12 15:44:29 EST
Builds in x86_64 mock, too. Looks like rpmlint doesn't recognize museek-launcher
as a script and still complains:
W: museek+ strange-permission museek-launcher 0755
Try changing the first line to #!/bin/sh. It doesn't need bash anyway, does it?
Nevertheless, it's no blocker, so...
APPROVED.

Note You need to log in before you can comment on or make changes to this bug.